## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate av-metrics

Name:           rust-av-metrics
Version:        0.7.2
Release:        %autorelease
Summary:        Collection of algorithms for measuring audio/video metrics

# https://github.com/rust-av/av-metrics/issues/215
License:        MIT
URL:            https://crates.io/crates/av-metrics
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          av-metrics-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Collection of algorithms for measuring audio/video metrics.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/src/video/ciede/delta_e/LICENSE
%license %{crate_instdir}/src/video/ciede/rgbtolab/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> 0.7.2-4
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.7.2-1
- Update to 0.7.2 Close: rhbz#1991567

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 29 16:41:29 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.2-1
- Update to 0.6.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Dec 09 18:17:03 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.1-1
- Initial package

